Skip to main content
POST
/
1
/
agents
/
{agentId}
/
allowed-domains
curl
curl --request POST \
  --url https://example.algolia.net/agent-studio/1/agents/lorem/allowed-domains \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '{"domain":"lorem"}'
{
  "agentId": "<string>",
  "appId": "<string>",
  "createdAt": "<string>",
  "domain": "<string>",
  "id": "<string>",
  "updatedAt": "<string>"
}
This is a beta feature according to Algolia’s Terms of Service (“Beta Services”).
Required ACL: editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

agentId
string
required

The agentId.

Body

application/json

Request body to add a single allowed domain.

domain
string
required

Domain or pattern, e.g. https://app.example.com or *.example.com.

Response

Successful Response.

Single allowed domain in API responses.

agentId
string
required
appId
string
required
createdAt
string
required
domain
string
required
id
string
required
updatedAt
string
required
Last modified on June 15, 2026